## qtmobile-weather 1.0-maemo2

=== debian/changelog ===
qtmobile-weather (1.0-maemo2) unstable; urgency=low

  * First package uploaded to extras-devel

 -- Anselmo Lacerda S. de Melo <anselmo.melo@openbossa.org>  Thu, 04 Mar 2010 15:55:02 -0300

qtmobile-weather (1.0-maemo1) unstable; urgency=low

  * First release of Mobile Weather

 -- Anselmo Lacerda S. de Melo <anselmo.melo@openbossa.org>  Thu, 11 Feb 2010 22:22:11 -0300

=== debian/rules ===
#!/usr/bin/make -f

configure: configure-stamp
configure-stamp:
	dh_testdir

	/opt/qt4-maemo5/bin/qmake PREFIX=/usr
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir
	$(MAKE)
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/qthello.
	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/qtmobile-weather/usr install
	install -D -m 755 $(CURDIR)/mobile-weather $(CURDIR)/debian/qtmobile-weather/usr/bin/mobile-weather
	install -D -m 644 $(CURDIR)/mobileweather.desktop $(CURDIR)/debian/qtmobile-weather/usr/share/applications/hildon/mobileweather.desktop
	install -D -m 644 $(CURDIR)/resource/icon-weather.png $(CURDIR)/debian/qtmobile-weather/usr/share/pixmaps/icon-weather.png
	install -D -m 644 $(CURDIR)/src/weather.ini $(CURDIR)/debian/qtmobile-weather/usr/share/applications/weather.ini

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installmenu
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## qtmobile-weather 1.0-maemo5

=== imtk/src/Makefile ===
#############################################################################
# Makefile for building: libimtk.a
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sat Feb 13 00:00:59 2010
# Project:  src.pro
# Template: lib
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -fPIC -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -fPIC -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I. -I.
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = widget.cpp \
		button.cpp \
		dataresource.cpp \
		flickablearea.cpp \
		kineticscroll.cpp \
		label.cpp \
		listview.cpp \
		model.cpp \
		pageslider.cpp \
		pixmapwidget.cpp \
		scrollarea.cpp \
		scrollbar.cpp \
		system.cpp \
		throbber.cpp \
		utils.cpp moc_widget.cpp \
		moc_button.cpp \
		moc_flickablearea.cpp \
		moc_kineticscroll.cpp \
		moc_label.cpp \
		moc_listview.cpp \
		moc_model.cpp \
		moc_pageslider.cpp \
		moc_pixmapwidget.cpp \
		moc_scrollarea.cpp \
		moc_system.cpp
OBJECTS       = widget.o \
		button.o \
		dataresource.o \
		flickablearea.o \
		kineticscroll.o \
		label.o \
		listview.o \
		model.o \
		pageslider.o \
		pixmapwidget.o \
		scrollarea.o \
		scrollbar.o \
		system.o \
		throbber.o \
		utils.o \
		moc_widget.o \
		moc_button.o \
		moc_flickablearea.o \
		moc_kineticscroll.o \
		moc_label.o \
		moc_listview.o \
		moc_model.o \
		moc_pageslider.o \
		moc_pixmapwidget.o \
		moc_scrollarea.o \
		moc_system.o
DIST          = /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		../install.pri \
		../include/include.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/static.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = imtk
DESTDIR       = 
TARGET        = libimtk.a

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile libimtk.prl pkgconfig/imtk.pc $(TARGET) 

staticlib: $(TARGET)

$(TARGET):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)


libimtk.prl: 
	@$(QMAKE) -prl  -unix src.pro
Makefile: src.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		../install.pri \
		../include/include.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/static.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtGui.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile src.pro
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
../install.pri:
../include/include.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/staticlib.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/static.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/link_pkgconfig.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtGui.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

pkgconfig/imtk.pc: 
	@$(QMAKE) -prl  -unix /home/anselmo/noite2/imtk/src/src.pro
dist: 
	@$(CHK_DIR_EXISTS) .tmp/imtk1.0.0 || $(MKDIR) .tmp/imtk1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/imtk1.0.0/ && $(COPY_FILE) --parents widget.h button.h dataresource.h flickablearea.h kineticscroll.h label.h listview.h model.h pageslider.h pixmapwidget.h scrollarea.h scrollbar.h system.h utils.h throbber.h global.h widget_p.h pixmapwidget_p.h flickablearea_p.h .tmp/imtk1.0.0/ && $(COPY_FILE) --parents widget.cpp button.cpp dataresource.cpp flickablearea.cpp kineticscroll.cpp label.cpp listview.cpp model.cpp pageslider.cpp pixmapwidget.cpp scrollarea.cpp scrollbar.cpp system.cpp throbber.cpp utils.cpp .tmp/imtk1.0.0/ && (cd `dirname .tmp/imtk1.0.0` && $(TAR) imtk1.0.0.tar imtk1.0.0 && $(COMPRESS) imtk1.0.0.tar) && $(MOVE) `dirname .tmp/imtk1.0.0`/imtk1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/imtk1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_widget.cpp moc_button.cpp moc_flickablearea.cpp moc_kineticscroll.cpp moc_label.cpp moc_listview.cpp moc_model.cpp moc_pageslider.cpp moc_pixmapwidget.cpp moc_scrollarea.cpp moc_scrollbar.cpp moc_system.cpp moc_throbber.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_widget.cpp moc_button.cpp moc_flickablearea.cpp moc_kineticscroll.cpp moc_label.cpp moc_listview.cpp moc_model.cpp moc_pageslider.cpp moc_pixmapwidget.cpp moc_scrollarea.cpp moc_scrollbar.cpp moc_system.cpp moc_throbber.cpp
moc_widget.cpp: global.h \
		widget.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) widget.h -o moc_widget.cpp

moc_button.cpp: widget.h \
		global.h \
		button.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) button.h -o moc_button.cpp

moc_flickablearea.cpp: widget.h \
		global.h \
		flickablearea.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) flickablearea.h -o moc_flickablearea.cpp

moc_kineticscroll.cpp: global.h \
		kineticscroll.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) kineticscroll.h -o moc_kineticscroll.cpp

moc_label.cpp: widget.h \
		global.h \
		label.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) label.h -o moc_label.cpp

moc_listview.cpp: model.h \
		global.h \
		widget.h \
		listview.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) listview.h -o moc_listview.cpp

moc_model.cpp: global.h \
		model.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) model.h -o moc_model.cpp

moc_pageslider.cpp: global.h \
		flickablearea.h \
		widget.h \
		pageslider.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) pageslider.h -o moc_pageslider.cpp

moc_pixmapwidget.cpp: widget.h \
		global.h \
		pixmapwidget.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) pixmapwidget.h -o moc_pixmapwidget.cpp

moc_scrollarea.cpp: widget.h \
		global.h \
		scrollarea.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) scrollarea.h -o moc_scrollarea.cpp

moc_scrollbar.cpp: global.h \
		pixmapwidget.h \
		widget.h \
		scrollbar.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) scrollbar.h -o moc_scrollbar.cpp

moc_system.cpp: global.h \
		system.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) system.h -o moc_system.cpp

moc_throbber.cpp: widget.h \
		global.h \
		throbber.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) throbber.h -o moc_throbber.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp

## qtmobile-weather 1.0-maemo3

=== debian/changelog ===
qtmobile-weather (1.0-maemo3) unstable; urgency=low

  * Fixing the install of binary

 -- Anselmo Lacerda S. de Melo <anselmo.melo@openbossa.org>  Thu, 04 Mar 2010 20:30:02 -0300

=== debian/control ===
Source: qtmobile-weather
Section: apps
Priority: optional
Maintainer: Adriano Rezende <adriano.rezende@openbossa.org>
Uploaders: Anselmo Lacerda S. de Melo <anselmo.melo@openbossa.org>
Build-Depends: debhelper (>= 4), libgconf2-dev, libdbus-glib-1-dev, libdbus-1-dev, libglib2.0-dev, libqt4-maemo5-dev
Standards-Version: 3.8.1

Package: qtmobile-weather
Section: user/other
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-core, libqt4-maemo5-gui, libqt4-maemo5-network
XB-Maemo-Display-Name: Qt Mobile Demo: Weather
XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAMAAABg3Am1AAAAAXNSR0IArs4c
  6QAAAMNQTFRF70YPcBAPehIKhhUXkBcWmRYVmhcceiAjpxsddC0wshwinCku
  R0hGdTtFgTtMD1mFcEJSHFuCGl+MHWGIZ1FlYldvJWiPW11gSl+AnlFULW2V
  WmV7MXSeQneaWnmUmGxxcnuBSYWqUYelZYSTT4y1YoqkUY+yX42ra42gVpS3
  XJm9ipKVgJeob5y1c6S/f6u/qaKkup6gl6qujrG+i7LGoL7MmsLLzb7CqszW
  uc3Z2MvMvNjexNbg0NXY0+Tp5e/x8/j6Kf1CbwAAAAF0Uk5TAEDm2GYAAAAB
  YktHRACIBR1IAAAACXBIWXMAAA3XAAAN1wFCKJt4AAAAB3RJTUUH2gETAQ0h
  +LhADAAAAtlJREFUSMe9ln1XokAUxkMUsVQEdEqCLYwwxhXbclwIA7//p9o7
  rwzl2VN/7D4H4WHm+d3LjJ6DFxf/T47jur4j5DsuN65yMOh285DSAGFVGoQc
  50MeySnX9z62gkGY9nTA8xSAfF8WdSXqRK7j+QrwQIHjcfm+z42LPOFgEKZ9
  pAEIygohT5iAosJHtKTWAUFMCHnCIp859rgBuMBr1+Aj1QEF0gY+8oOI1M1x
  G0EzOqwAxNrTuE/zjIAaaFWfuEhAJ9o10LJCkTQhCuKTUhN0gVCLcQMX76Sp
  RjoQyA5BIC2sYKsDp60OhIGQNGh/LOO4AxAY1jp0gYgt9tgh6rALhFQxfMCv
  ZdFaA5pIA8LwZja9oprOb8K4kUVLvYMOTO1LkG3bA1B/+fbOkVJ2aEpy3Idh
  JOKXXLbV5xoMrLu3Uw2pphWJ8+LYifelLFDfWr5XdaPrGDd1m7e7eehl9X/V
  TE0trsW+bvNWm7dZHrj+8jfNlbv9jjAiP8o1dPIDCVjmEJrs8rIqSV4BUZUC
  sC3TlPmBbSmg3+s977cV1b6g51Jt62IxG4oG4onYUsxebwG5oqwOhAKFAmLQ
  ZEBT8on4XvV6w+fqkBcVIVVRVIcOkMwhqxoIwDBGhOQFMFREA1JAplfL5ZU1
  oIDJAdMwjLtiv8vJR4Dm4y05HMjLHc0DwPoAYLwcpF4VAPkkTrdscHNYmmrX
  KDA5C6Tr3Ssb3EDBTQcYvpwBoMWK6XEDp3gOP0AG9CixEHOrlQYkTDjZPNBr
  NpvDN2MKYCZmk0QDmLJsvYm4S1Oc3o7YNhmTWMynCsj4PU5/PiTcJhhu4wkD
  RmcAJpxlmygTwinc/xiOJiPDWImxT0D6dJ9mCoYjW2OMb4ePsooCMMtgfP9D
  5jE9OIRv158Brqf7GJ/Ro3IdIKcN5Ex+DsTaW5Q3uI7afP7XPNf111/r198F
  xuw0/gYwltTXifH4n/yH+QPu7b91lhfMDQAAAABJRU5ErkJggg==
Description: Qt Mobile Weather
  Allows you to check the weather around the world in a cute way.

## qtmobile-weather 1.0-maemo4

=== debian/changelog ===
qtmobile-weather (1.0-maemo4) unstable; urgency=low

  * Fixing the install of binary

 -- Anselmo Lacerda S. de Melo <anselmo.melo@openbossa.org>  Thu, 04 Mar 2010 20:30:02 -0300

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Section: user/other
 Architecture: armel
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-core, libqt4-maemo5-gui, libqt4-maemo5-network
-XB-Maemo-Display-Name: Qt Mobile Demo: Weather
+XB-Maemo-Display-Name: Qt Mobile Weather
 XB-Maemo-Icon-26:
   iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAMAAABg3Am1AAAAAXNSR0IArs4c
   6QAAAMNQTFRF70YPcBAPehIKhhUXkBcWmRYVmhcceiAjpxsddC0wshwinCku

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,14 @@
 #!/usr/bin/make -f
 
-configure: configure-stamp
-configure-stamp:
+configure: 
 	dh_testdir
 
 	/opt/qt4-maemo5/bin/qmake PREFIX=/usr
-	touch configure-stamp
 
 
 build: build-stamp
 
-build-stamp: configure-stamp  
+build-stamp: configure
 	dh_testdir
 	$(MAKE)
 	touch $@
@@ -18,8 +16,8 @@
 clean: 
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp configure-stamp
-	-$(MAKE) clean
+	rm -f $(CURDIR)/build-stamp 
+	-$(MAKE) distclean
 	dh_clean 
 
 install: build
@@ -29,8 +27,9 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/qthello.
-	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/qtmobile-weather/usr install
+#	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/qtmobile-weather/usr install
 	install -D -m 755 $(CURDIR)/mobile-weather $(CURDIR)/debian/qtmobile-weather/usr/bin/mobile-weather
+	install -D -m 755 $(CURDIR)/src/mobile-weather.bin $(CURDIR)/debian/qtmobile-weather/usr/bin/mobile-weather.bin
 	install -D -m 644 $(CURDIR)/mobileweather.desktop $(CURDIR)/debian/qtmobile-weather/usr/share/applications/hildon/mobileweather.desktop
 	install -D -m 644 $(CURDIR)/resource/icon-weather.png $(CURDIR)/debian/qtmobile-weather/usr/share/pixmaps/icon-weather.png
 	install -D -m 644 $(CURDIR)/src/weather.ini $(CURDIR)/debian/qtmobile-weather/usr/share/applications/weather.ini

## qtmobile-weather 1.0-maemo5

=== debian/changelog ===
qtmobile-weather (1.0-maemo5) unstable; urgency=low

  * Package updated to use Qt 4.6 part of Maemo 5 PR 1.2

 -- Anselmo Lacerda S. de Melo <anselmo.melo@openbossa.org>  Thu, 16 Jul 2010 22:31:37 -0300

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: qtmobile-weather
 Section: apps
 Priority: optional
-Maintainer: Adriano Rezende <adriano.rezende@openbossa.org>
-Uploaders: Anselmo Lacerda S. de Melo <anselmo.melo@openbossa.org>
-Build-Depends: debhelper (>= 4), libgconf2-dev, libdbus-glib-1-dev, libdbus-1-dev, libglib2.0-dev, libqt4-maemo5-dev
+Maintainer: Anselmo Lacerda S. de Melo <anselmo.melo@openbossa.org>
+Build-Depends: debhelper (>= 4), libgconf2-dev, libdbus-glib-1-dev, libdbus-1-dev, libglib2.0-dev, libqt4-dev
 Standards-Version: 3.8.1
 
 Package: qtmobile-weather
-Section: user/other
+Section: apps
 Architecture: armel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-core, libqt4-maemo5-gui, libqt4-maemo5-network
+Depends: ${shlibs:Depends}, ${misc:Depends}
 XB-Maemo-Display-Name: Qt Mobile Weather
 XB-Maemo-Icon-26:
   iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAMAAABg3Am1AAAAAXNSR0IArs4c

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 configure: 
 	dh_testdir
 
-	/opt/qt4-maemo5/bin/qmake PREFIX=/usr
+	qmake PREFIX=/usr
 
 
 build: build-stamp
@@ -32,7 +32,7 @@
 	install -D -m 755 $(CURDIR)/src/mobile-weather.bin $(CURDIR)/debian/qtmobile-weather/usr/bin/mobile-weather.bin
 	install -D -m 644 $(CURDIR)/mobileweather.desktop $(CURDIR)/debian/qtmobile-weather/usr/share/applications/hildon/mobileweather.desktop
 	install -D -m 644 $(CURDIR)/resource/icon-weather.png $(CURDIR)/debian/qtmobile-weather/usr/share/pixmaps/icon-weather.png
-	install -D -m 644 $(CURDIR)/src/weather.ini $(CURDIR)/debian/qtmobile-weather/usr/share/applications/weather.ini
+	install -D -m 644 $(CURDIR)/src/mobileweather.ini $(CURDIR)/debian/qtmobile-weather/usr/share/applications/mobileweather.ini
 
 # Build architecture-independent files here.
 binary-indep: build install
